Bug 1523 - Scrollkeeper - old patch for docbook dtd
: Scrollkeeper - old patch for docbook dtd
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/libxml2)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-11-06 16:28 by
Modified: 2005-08-30 03:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-11-06 16:28:04
При установке scrollkeeper-0.3.11-alt1.1, и не установленном docbook-dtds
происходит попытка получить dtd из инета, по адресу из docbook SYSTEM.

В .src.rpm есть патч, который проверяет наличие docbook 4.1.2 (и говорит про
устаревший пакет). Не совсем понятно, какая связь между docbook и scrollkeeper,
но если она есть, можно бы поставить зависимость на docbook-dtds.

---

---
Это бага отнюдь не scrollkeer, а XML ибо 
там принято все указывать URL\'ами.
Надо отключить по умолчанию это лазание.
------- Comment #1 From 2002-12-20 15:30:38 -------
Пример:
xmlns:xinclude=\&quot;<a href="http://www.w3.org/2001/XInclude\&quot">http://www.w3.org/2001/XInclude\&quot</a>;
------- Comment #2 From 2002-12-20 15:30:38 -------
Пример:
xmlns:xinclude=\&quot;<a href="http://www.w3.org/2001/XInclude\&quot">http://www.w3.org/2001/XInclude\&quot</a>;
------- Comment #3 From 2002-12-20 15:36:37 -------
Это пример чего именно?
Указанная строка к docbook отношения не имеет. Кстати, из changelog scrollkeeper:
* Срд Дек 04 2002 Yuri N. Sedunov &lt;<a href="mailto:aris@altlinux.ru&gt" target="_new">aris@altlinux.ru&gt</a>; 0.3.11-alt2

- Directory /var/lib/scrollkeeper owned by scrollkeeper (#1665)
- Fixed registration for romanian docs (#1666).
- Fixes in russian translation.
- fixed build with new automake again.
- scrollkeeper-rebuilddb run in %post when upgrading.
- PLD Team:
    - fixed manpage
    - fixed translations
- Debian:
    - fixed temp files naming

* Чтв Ноя 21 2002 Yuri N. Sedunov &lt;<a href="mailto:aris@altlinux.ru&gt" target="_new">aris@altlinux.ru&gt</a>; 0.3.11-alt1.3

- Added prereqs on docbook-dtds (#1523)
------- Comment #4 From 2002-12-20 15:36:37 -------
Это пример чего именно?
Указанная строка к docbook отношения не имеет. Кстати, из changelog scrollkeeper:
* Срд Дек 04 2002 Yuri N. Sedunov &lt;<a href="mailto:aris@altlinux.ru&gt" target="_new">aris@altlinux.ru&gt</a>; 0.3.11-alt2

- Directory /var/lib/scrollkeeper owned by scrollkeeper (#1665)
- Fixed registration for romanian docs (#1666).
- Fixes in russian translation.
- fixed build with new automake again.
- scrollkeeper-rebuilddb run in %post when upgrading.
- PLD Team:
    - fixed manpage
    - fixed translations
- Debian:
    - fixed temp files naming

* Чтв Ноя 21 2002 Yuri N. Sedunov &lt;<a href="mailto:aris@altlinux.ru&gt" target="_new">aris@altlinux.ru&gt</a>; 0.3.11-alt1.3

- Added prereqs on docbook-dtds (#1523)
------- Comment #5 From 2002-12-20 15:47:03 -------
Ага, мы теперь про libxml2 говорим... Для спецификации XInclude указание URL
абсолютно нормально. В libxml2 есть возможность отключить лазание по сети, см.
параметр --nonet для xsltproc. Так что думаю, что это всё-таки проблемы вызовов
из scrollkeeper. Насколько я понял из высказываний автора libxml2, он пишет,
ориентируясь на w3c.org и oasis-open.org, а не на конкретные использования xml
(docbook, scrollkeeper).
------- Comment #6 From 2002-12-20 15:47:03 -------
Ага, мы теперь про libxml2 говорим... Для спецификации XInclude указание URL
абсолютно нормально. В libxml2 есть возможность отключить лазание по сети, см.
параметр --nonet для xsltproc. Так что думаю, что это всё-таки проблемы вызовов
из scrollkeeper. Насколько я понял из высказываний автора libxml2, он пишет,
ориентируясь на w3c.org и oasis-open.org, а не на конкретные использования xml
(docbook, scrollkeeper).
------- Comment #7 From 2003-08-24 20:40:50 -------
The problem was in scrollkeeper's dependencies.
Now that it's fixed, I think we can close this bug.